#52 Debugger plug-in fails to run

v0.1.0
closed-fixed
Debugger (177)
5
2004-05-30
2004-04-16
No

When I try to create a Perl debug configuration for a
Perl script, I just get a message box saying:

Problem Occurred
-----------------
Plug-in org.epic.debug was unable to load class
org.epic.debug.LaunchConfigurationDialog

Chances are I might simply be using the wrong Eclipse or
Java version for EPIC 0.1.0 / EPIC debugger plug-in
0.0.7, but I saw no docs / recommendations as to what
versions to use with the debugger plug-in...

Configuration:

WinXP Pro, Eclipse 2.1.1, Java 1.3.1_01

Summary of error messages:

!MESSAGE Plug-in "org.epic.debug" was unable to
instantiate class "org.epic.debug.PerlDebugPlugin".
!MESSAGE Plug-in org.epic.debug was unable to load
class org.epic.debug.LaunchConfigurationDialog.

Stack traces:

!SESSION Apr 15, 2004 18:02:49.61 -------------------
---------------------------
java.version=1.3.1_01
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86,
WS=win32, NL=en_US
Command-line arguments: -os win32 -ws win32 -arch
x86 -install file:E:/Program Files/Eclipse 2.1.1/eclipse/
!ENTRY org.eclipse.core.runtime 4 2 Apr 15, 2004
18:02:49.61
!MESSAGE Plug-in "org.epic.debug" was unable to
instantiate class "org.epic.debug.PerlDebugPlugin".
!STACK 0
java.lang.reflect.InvocationTargetException:
java.lang.NullPointerException
at
org.epic.debug.PerlDebugPlugin.createEnvArrays
(PerlDebugPlugin.java:59)
at org.epic.debug.PerlDebugPlugin.<init>
(PerlDebugPlugin.java:44)
at java.lang.reflect.Constructor.newInstance
(Native Method)
at
org.eclipse.core.internal.plugins.PluginDescriptor.internalD
oPluginActivation(PluginDescriptor.java:722)
at
org.eclipse.core.internal.plugins.PluginDescriptor.doPlugin
Activation(PluginDescriptor.java:188)
at
org.eclipse.core.internal.plugins.PluginClassLoader.activat
ePlugin(PluginClassLoader.java:112)
at
org.eclipse.core.internal.plugins.PluginClassLoader.interna
lFindClassParentsSelf(PluginClassLoader.java:185)
at
org.eclipse.core.internal.boot.DelegatingURLClassLoader.fi
ndClassParentsSelf(DelegatingURLClassLoader.java:485)
at
org.eclipse.core.internal.boot.DelegatingURLClassLoader.l
oadClass(DelegatingURLClassLoader.java:882)
at
org.eclipse.core.internal.boot.DelegatingURLClassLoader.l
oadClass(DelegatingURLClassLoader.java:862)
at java.lang.ClassLoader.loadClass(Unknown
Source)
at
org.eclipse.core.internal.plugins.PluginDescriptor.createEx
ecutableExtension(PluginDescriptor.java:130)
at
org.eclipse.core.internal.plugins.PluginDescriptor.createEx
ecutableExtension(PluginDescriptor.java:167)
at
org.eclipse.core.internal.plugins.ConfigurationElement.cre
ateExecutableExtension(ConfigurationElement.java:103)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationTabGroupExtension.newTabGroup
(LaunchConfigurationTabGroupExtension.java:104)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationPresentationManager.getTabGroup
(LaunchConfigurationPresentationManager.java:113)
at
org.eclipse.debug.internal.ui.launchConfigurations.Create
LaunchConfigurationAction.performAction
(CreateLaunchConfigurationAction.java:64)
at
org.eclipse.debug.internal.ui.launchConfigurations.Abstra
ctLaunchConfigurationAction$1.run
(AbstractLaunchConfigurationAction.java:97)
at
org.eclipse.swt.custom.BusyIndicator.showWhile
(BusyIndicator.java:69)
at
org.eclipse.debug.internal.ui.launchConfigurations.Abstra
ctLaunchConfigurationAction.run
(AbstractLaunchConfigurationAction.java:100)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationsDialog$ButtonActionNew.run
(LaunchConfigurationsDialog.java:1692)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationsDialog$1.widgetSelected
(LaunchConfigurationsDialog.java:1661)
at
org.eclipse.swt.widgets.TypedListener.handleEvent
(TypedListener.java:89)
at
org.eclipse.swt.widgets.EventTable.sendEvent
(EventTable.java:81)
at org.eclipse.swt.widgets.Widget.sendEvent
(Widget.java:840)
at
org.eclipse.swt.widgets.Display.runDeferredEvents
(Display.java:1838)
at
org.eclipse.swt.widgets.Display.readAndDispatch
(Display.java:1545)
at
org.eclipse.jface.window.Window.runEventLoop
(Window.java:583)
at org.eclipse.jface.window.Window.open
(Window.java:563)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationsDialog.openDialogOnSelection
(LaunchConfigurationsDialog.java:504)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationsDialog.open
(LaunchConfigurationsDialog.java:458)
at org.eclipse.debug.ui.DebugUITools$1.run
(DebugUITools.java:369)
at
org.eclipse.swt.custom.BusyIndicator.showWhile
(BusyIndicator.java:69)
at
org.eclipse.debug.ui.DebugUITools.openLaunchConfigurati
onDialogOnGroup(DebugUITools.java:373)
at
org.eclipse.debug.ui.DebugUITools.openLaunchConfigurati
onDialogOnGroup(DebugUITools.java:315)
at
org.eclipse.debug.ui.actions.OpenLaunchDialogAction.run
(OpenLaunchDialogAction.java:70)
at org.eclipse.jface.action.Action.runWithEvent
(Action.java:842)
at
org.eclipse.jface.action.ActionContributionItem.handleWi
dgetSelection(ActionContributionItem.java:456)
at
org.eclipse.jface.action.ActionContributionItem.handleWi
dgetEvent(ActionContributionItem.java:403)
at
org.eclipse.jface.action.ActionContributionItem.access$0
(ActionContributionItem.java:397)
at
org.eclipse.jface.action.ActionContributionItem$ActionLis
tener.handleEvent(ActionContributionItem.java:72)
at
org.eclipse.swt.widgets.EventTable.sendEvent
(EventTable.java:81)
at org.eclipse.swt.widgets.Widget.sendEvent
(Widget.java:840)
at
org.eclipse.swt.widgets.Display.runDeferredEvents
(Display.java:1838)
at
org.eclipse.swt.widgets.Display.readAndDispatch
(Display.java:1545)
at
org.eclipse.ui.internal.Workbench.runEventLoop
(Workbench.java:1402)
at org.eclipse.ui.internal.Workbench.run
(Workbench.java:1385)
at
org.eclipse.core.internal.boot.InternalBootLoader.run
(InternalBootLoader.java:858)
at org.eclipse.core.boot.BootLoader.run
(BootLoader.java:461)
at java.lang.reflect.Method.invoke(Native
Method)
at org.eclipse.core.launcher.Main.basicRun
(Main.java:291)
at org.eclipse.core.launcher.Main.run
(Main.java:747)
at org.eclipse.core.launcher.Main.main
(Main.java:583)
!ENTRY org.eclipse.core.runtime 4 2 Apr 15, 2004
18:02:49.81
!MESSAGE Plug-in org.epic.debug was unable to load
class org.epic.debug.LaunchConfigurationDialog.
!STACK 0
org.eclipse.core.internal.boot.DelegatingLoaderException:
org.eclipse.core.runtime.CoreException[2]:
java.lang.reflect.InvocationTargetException:
java.lang.NullPointerException
at
org.epic.debug.PerlDebugPlugin.createEnvArrays
(PerlDebugPlugin.java:59)
at org.epic.debug.PerlDebugPlugin.<init>
(PerlDebugPlugin.java:44)
at java.lang.reflect.Constructor.newInstance
(Native Method)
at
org.eclipse.core.internal.plugins.PluginDescriptor.internalD
oPluginActivation(PluginDescriptor.java:722)
at
org.eclipse.core.internal.plugins.PluginDescriptor.doPlugin
Activation(PluginDescriptor.java:188)
at
org.eclipse.core.internal.plugins.PluginClassLoader.activat
ePlugin(PluginClassLoader.java:112)
at
org.eclipse.core.internal.plugins.PluginClassLoader.interna
lFindClassParentsSelf(PluginClassLoader.java:185)
at
org.eclipse.core.internal.boot.DelegatingURLClassLoader.fi
ndClassParentsSelf(DelegatingURLClassLoader.java:485)
at
org.eclipse.core.internal.boot.DelegatingURLClassLoader.l
oadClass(DelegatingURLClassLoader.java:882)
at
org.eclipse.core.internal.boot.DelegatingURLClassLoader.l
oadClass(DelegatingURLClassLoader.java:862)
at java.lang.ClassLoader.loadClass(Unknown
Source)
at
org.eclipse.core.internal.plugins.PluginDescriptor.createEx
ecutableExtension(PluginDescriptor.java:130)
at
org.eclipse.core.internal.plugins.PluginDescriptor.createEx
ecutableExtension(PluginDescriptor.java:167)
at
org.eclipse.core.internal.plugins.ConfigurationElement.cre
ateExecutableExtension(ConfigurationElement.java:103)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationTabGroupExtension.newTabGroup
(LaunchConfigurationTabGroupExtension.java:104)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationPresentationManager.getTabGroup
(LaunchConfigurationPresentationManager.java:113)
at
org.eclipse.debug.internal.ui.launchConfigurations.Create
LaunchConfigurationAction.performAction
(CreateLaunchConfigurationAction.java:64)
at
org.eclipse.debug.internal.ui.launchConfigurations.Abstra
ctLaunchConfigurationAction$1.run
(AbstractLaunchConfigurationAction.java:97)
at
org.eclipse.swt.custom.BusyIndicator.showWhile
(BusyIndicator.java:69)
at
org.eclipse.debug.internal.ui.launchConfigurations.Abstra
ctLaunchConfigurationAction.run
(AbstractLaunchConfigurationAction.java:100)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationsDialog$ButtonActionNew.run
(LaunchConfigurationsDialog.java:1692)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationsDialog$1.widgetSelected
(LaunchConfigurationsDialog.java:1661)
at
org.eclipse.swt.widgets.TypedListener.handleEvent
(TypedListener.java:89)
at
org.eclipse.swt.widgets.EventTable.sendEvent
(EventTable.java:81)
at org.eclipse.swt.widgets.Widget.sendEvent
(Widget.java:840)
at
org.eclipse.swt.widgets.Display.runDeferredEvents
(Display.java:1838)
at
org.eclipse.swt.widgets.Display.readAndDispatch
(Display.java:1545)
at
org.eclipse.jface.window.Window.runEventLoop
(Window.java:583)
at org.eclipse.jface.window.Window.open
(Window.java:563)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationsDialog.openDialogOnSelection
(LaunchConfigurationsDialog.java:504)
at
org.eclipse.debug.internal.ui.launchConfigurations.Launch
ConfigurationsDialog.open
(LaunchConfigurationsDialog.java:458)
at org.eclipse.debug.ui.DebugUITools$1.run
(DebugUITools.java:369)
at
org.eclipse.swt.custom.BusyIndicator.showWhile
(BusyIndicator.java:69)
at
org.eclipse.debug.ui.DebugUITools.openLaunchConfigurati
onDialogOnGroup(DebugUITools.java:373)
at
org.eclipse.debug.ui.DebugUITools.openLaunchConfigurati
onDialogOnGroup(DebugUITools.java:315)
at
org.eclipse.debug.ui.actions.OpenLaunchDialogAction.run
(OpenLaunchDialogAction.java:70)
at org.eclipse.jface.action.Action.runWithEvent
(Action.java:842)
at
org.eclipse.jface.action.ActionContributionItem.handleWi
dgetSelection(ActionContributionItem.java:456)
at
org.eclipse.jface.action.ActionContributionItem.handleWi
dgetEvent(ActionContributionItem.java:403)
at
org.eclipse.jface.action.ActionContributionItem.access$0
(ActionContributionItem.java:397)
at
org.eclipse.jface.action.ActionContributionItem$ActionLis
tener.handleEvent(ActionContributionItem.java:72)
at
org.eclipse.swt.widgets.EventTable.sendEvent
(EventTable.java:81)
at org.eclipse.swt.widgets.Widget.sendEvent
(Widget.java:840)
at
org.eclipse.swt.widgets.Display.runDeferredEvents
(Display.java:1838)
at
org.eclipse.swt.widgets.Display.readAndDispatch
(Display.java:1545)
at
org.eclipse.ui.internal.Workbench.runEventLoop
(Workbench.java:1402)
at org.eclipse.ui.internal.Workbench.run
(Workbench.java:1385)
at
org.eclipse.core.internal.boot.InternalBootLoader.run
(InternalBootLoader.java:858)
at org.eclipse.core.boot.BootLoader.run
(BootLoader.java:461)
at java.lang.reflect.Method.invoke(Native
Method)
at org.eclipse.core.launcher.Main.basicRun
(Main.java:291)
at org.eclipse.core.launcher.Main.run
(Main.java:747)
at org.eclipse.core.launcher.Main.main
(Main.java:583)

Discussion

  • Holger Friedrich

    .log

     
  • Jochen Ruehl

    Jochen Ruehl - 2004-05-30
    • status: open --> closed-fixed
     
  • Jochen Ruehl

    Jochen Ruehl - 2004-05-30

    Logged In: YES
    user_id=274815

    Fixed in EPIC 0.2.0

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks